--Create By BuildApi, Create time: 2020-10-27 14:51:02 
-----------------------------------------------------------------
--global function define
-----------------------------------------------------------------
---@param p1 KVec3 
---@return number 
---@return KVec3 p1 
function KVec3Distance1Sqr(p1) end 

---@param p1 KVec3 
---@param p2 KVec3 
---@return number 
---@return KVec3 p1 
---@return KVec3 p2 
function KVec3Distance2Sqr(p1, p2) end 

---@param p1 KVec3 
---@param p2 KVec3 
---@param pOut KVec3 
---@return KVec3 p1 
---@return KVec3 p2 
---@return KVec3 pOut 
function KVec3Subtract(p1, p2, pOut) end 

---@param p1 KVec3 
---@param p2 KVec3 
---@param pOut KVec3 
---@return KVec3 p1 
---@return KVec3 p2 
---@return KVec3 pOut 
function KVec3AddVec3(p1, p2, pOut) end 

---@param p1 KVec3 
---@param fnum number 
---@param pOut KVec3 
---@return KVec3 p1 
---@return KVec3 pOut 
function KVec3MinusNum(p1, fnum, pOut) end 

function () end 

---@param InX number 
---@param InY number 
---@param InZ number 
---@param InW number 
function (InX, InY, InZ, InW) end 

---@param Tolerance number @default value:SMALL_NUMBER 
function Normalize(Tolerance) end 

function () end 

---@param InPitch number 
---@param InYaw number 
---@param InRoll number 
function (InPitch, InYaw, InRoll) end 

---@param DeltaPitch number 
---@param DeltaYaw number 
---@param DeltaRoll number 
---@return KRotator 
function Add(DeltaPitch, DeltaYaw, DeltaRoll) end 

function Normalize() end 

function () end 

---@param InX number 
---@param InY number 
---@param InZ number 
function (InX, InY, InZ) end 

---@param Tolerance number @default value:SMALL_NUMBER 
---@return boolean 
function Normalize(Tolerance) end 

---@param V1 KVec3 
---@param V2 KVec3 
---@return number 
---@return KVec3 V1 
---@return KVec3 V2 
function Distance(V1, V2) end 

function () end 

---@param InTranslation KVec3 
---@return KVec3 InTranslation 
function (InTranslation) end 

---@param InRotation KQuaternion 
---@return KQuaternion InRotation 
function (InRotation) end 

---@param InRotation KRotator 
---@return KRotator InRotation 
function (InRotation) end 

---@param InRotation KQuaternion 
---@param InTranslation KVec3 
---@param InScale3D KVec3 
---@return KQuaternion InRotation 
---@return KVec3 InTranslation 
---@return KVec3 InScale3D 
function (InRotation, InTranslation, InScale3D) end 

function SetIdentity() end 

---@return KTransform 
function Inverse() end 

---@param NewTranslation KVec3 
---@return KVec3 NewTranslation 
function SetTranslation(NewTranslation) end 

---@param NewRotation KQuaternion 
---@return KQuaternion NewRotation 
function SetRotation(NewRotation) end 

function NormalizeRotation() end 

---@param NewScale3D KVec3 
---@return KVec3 NewScale3D 
function SetScaling(NewScale3D) end 

---@param OutTransform KTransform 
---@param A KTransform 
---@param B KTransform 
---@return KTransform OutTransform 
---@return KTransform A 
---@return KTransform B 
function Multiply(OutTransform, A, B) end 

function () end 

---@param bIdentity boolean 
function (bIdentity) end 

---@param translation KVec3 
---@return KMatrix 
function Translation(translation) end 


